/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 * $Id: AppContext.java,v 1.1 2005/07/05 15:05:46 rampil Exp $
 */
package org.logical_paradox.gdrn.shell.command.topo;

import java.awt.Frame;

/**
 * アプリケーションコンテキスト
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class AppContext {
	/** トポロジー */
	private Topology topology_;
	/** トップフレーム */
	private Frame root_;

	/**
	 * コンストラクタ
	 */
	public AppContext() {
		init();
	}
	/**
	 * アプリケーションコンテキストを初期化する
	 */
	protected void init() {
		topology_ = new Topology();
	}
	/**
	 * トップフレームを設定する
	 * @param frame トップフレーム
	 */
	public void setFrame(Frame frame) {
		root_ = frame;
	}
	/**
	 * トップフレームを返す
	 * @return トップフレーム
	 */
	public Frame getFrame() {
		return root_;
	}
	/**
	 * トポロジーを返す
	 * @return トポロジー
	 */
	public Topology getTopology() {
		return topology_;
	}

	/**
	 * トポロジーを設定する
	 * @param topology トポロジー
	 */
	public void setTopology(Topology topology) {
		topology_ = topology;
	}

}
